require "util"
--sign entity
local entity={
    type = "tree",
    name = "sign-post",
    icon = "__SignPosts__/sign-post-icon.png",
    flags = {"placeable-neutral"},
    order = "z[signs]-a[screen]",
    minable =
    {
        mining_time = 1,
    },
    max_health = 20,
    collision_mask={'item-layer'},
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    pictures =
    {
      filename = "__SignPosts__/sign-post-image.png",
      priority = "extra-high",
      width = 46,
      height = 33,
      shift = {0.3, 0}
    }
}
--item for it
local item=  {
    type = "item",
    name = "sign-post",
    icon = "__SignPosts__/sign-post-icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy-pipe-distribution",
    order = "a[energy]-a[sign-post]",
    place_result = "sign-post",
    stack_size = 50
    }
--recipe to make
local recipe=  {
    type = "recipe",
    name = "sign-post",
    enabled = false,
    ingredients =
    {
      {"raw-wood", 1},
      {"wood", 2},
    },
    result = "sign-post"
  }
--entities for map markers
local dummy_mark={
    type = "tree",
    name = "sign-post-map-dummy",
    icon = "__SignPosts__/sign-post-map-marker-icon.png",
    flags = {"player-creation","placeable-neutral"},
    order = "z[signs]-b[map]",
    minable =
    {
        mining_time = 1,
    },
    max_health = 20,
    collision_mask={'item-layer'},
    collision_box = {{-1, -1}, {1, 1}},
    selection_box = {{-1, -1}, {1, 1}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    pictures =
    {
      filename = "__SignPosts__/sign-post-map-marker.png",
      priority = "extra-high",
      width = 66,
      height = 110,
      shift = {0, -0.5}
    }
}

local temp={
        filename = "__SignPosts__/sign-post-map-marker.png",
        priority = "high",
        width = 66,
        height = 110,
        frame_count = 1,
        shift = {0, -0.5}
      }
local mark={
    type = "train-stop",
    name = "sign-post-map-mark",
    icon = "__SignPosts__/sign-post-map-marker-icon.png",
    flags = {"player-creation","placeable-neutral"},
    order = "z[signs]-c[map]",
    minable =
    {
        mining_time = 1,
        result="sign-post-map-mark"
    },
    max_health = 150,
    corpse = "medium-remnants",
    collision_mask={'item-layer'},
    collision_box = {{-1, -1}, {1, 1}},
    selection_box = {{-1, -1}, {1, 1}},
    tile_width = 1,
    tile_height = 1,
    animation_ticks_per_frame = 1,
    animations =
    {
      north =temp,
      east = temp,
      south =temp,
      west = temp,
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
  }
--item for map marker
local mark_item=  {
    type = "item",
    name = "sign-post-map-mark",
    icon = "__SignPosts__/sign-post-map-marker-icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy-pipe-distribution",
    order = "a[energy]-a[sign-post]",
    place_result = "sign-post-map-dummy",
    stack_size = 50
    }
--recipe for marker
local mark_recipe={
    type = "recipe",
    name = "sign-post-map-mark",
    enabled = false,
    ingredients =
    {
      {"stone", 5},
    },
    result = "sign-post-map-mark"
  }
--tech to unlock
local tech={
    type = "technology",
    name = "sign-posts",
    icon =  "__SignPosts__/writing-tech.png",
    icon_size = 128,
    effects =
    {
        {
        type = "unlock-recipe",
        recipe = "sign-post"
        },
        {
        type="unlock-recipe",
        recipe="sign-post-map-mark"
        }
    },
    prerequisites = {},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}},
      time = 20
    },
    order = "a-d-a",
  }
data:extend({entity,item,recipe,dummy_mark,mark,mark_item,mark_recipe,tech})
